"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const constants_1 = __importDefault(require("./constants"));
const routeGeneration_1 = __importDefault(require("./routeGeneration"));
const routeRegistration_1 = __importDefault(require("./routeRegistration"));
const apiGenerator = async (entityName) => {
    try {
        await Promise.all(constants_1.default.methods.map((e) => (0, routeGeneration_1.default)(e, entityName)));
        await (0, routeRegistration_1.default)(constants_1.default.methods, entityName);
        console.log(chalk_1.default.green.bold(`Api route for ${entityName} successfully created!`));
    }
    catch (error) {
        console.log(chalk_1.default.red.bold("Bad luck, try again :("));
    }
};
exports.default = apiGenerator;
//# sourceMappingURL=apiGenerator.js.map