"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.routeGeneration = void 0;
const services_1 = __importDefault(require("./services"));
const path_1 = __importDefault(require("path"));
const constants_1 = __importDefault(require("./constants"));
const promises_1 = __importDefault(require("fs/promises"));
const routeGeneration = async (api, entityName) => {
    const apiSrcPath = await (0, services_1.default)();
    if (apiSrcPath) {
        const apiPath = path_1.default.join(apiSrcPath, constants_1.default.api_dir, entityName);
        await promises_1.default.mkdir(apiPath, { recursive: true });
        await promises_1.default.writeFile(`${apiPath}/${api}${constants_1.default.ucFirst(entityName)}.ts`, `import { Request, Response } from "express";\n
export const ${api}${constants_1.default.ucFirst(entityName)} = async (req: Request, res: Response) => {
  res.sendStatus(200);
};`);
    }
};
exports.routeGeneration = routeGeneration;
exports.default = exports.routeGeneration;
//# sourceMappingURL=routeGeneration.js.map