"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const promises_1 = __importDefault(require("fs/promises"));
const services_1 = __importDefault(require("./services"));
const path_1 = __importDefault(require("path"));
const constants_1 = __importDefault(require("./constants"));
const isIndex_1 = require("./services/isIndex");
const routeRegistration = async (api, entityName) => {
    const apiSrcPath = await (0, services_1.default)();
    if (apiSrcPath) {
        const apiPath = path_1.default.join(apiSrcPath, constants_1.default.api_dir, entityName);
        await promises_1.default.writeFile(`${apiPath}/index.ts`, `import { Router } from "express";
${api
            .map((e) => `import { ${e}${constants_1.default.ucFirst(entityName)} } from "./${e}${constants_1.default.ucFirst(entityName)}";\n`)
            .join("")}
const router = Router();

${api
            .map((e) => `router.${e}("/", ${e}${constants_1.default.ucFirst(entityName)});\n`)
            .join("")}
export default router;`);
        await (0, isIndex_1.isIndex)();
        const indexContent = await promises_1.default.readFile(path_1.default.join(apiSrcPath, constants_1.default.api_dir, "index.ts"), "utf-8");
        await promises_1.default.writeFile(path_1.default.join(apiSrcPath, constants_1.default.api_dir, "index.ts"), `${indexContent.slice(0, indexContent.indexOf(";"))};
import ${entityName}Router from "./${entityName}";${indexContent.slice(indexContent.indexOf(";") + 1, indexContent.lastIndexOf("}") - 1)}
  app.use("/${entityName}", ${entityName}Router);
};`);
    }
};
exports.default = routeRegistration;
//# sourceMappingURL=routeRegistration.js.map